namespace SystemConfig
{
    partial class FrmRouteDetailEdit
    {
        /// <summary>
        /// 必需的设计器变量。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// 清理所有正在使用的资源。
        /// </summary>
        /// <param name="disposing">如果应释放托管资源，为 true；否则为 false。</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
                _formInstance = null;
            }
            base.Dispose(disposing);
        }

        #region Windows 窗体设计器生成的代码

        /// <summary>
        /// 设计器支持所需的方法 - 不要
        /// 使用代码编辑器修改此方法的内容。
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.dataGridView1 = new System.Windows.Forms.DataGridView();
            this.contextMenuStrip1 = new System.Windows.Forms.ContextMenuStrip(this.components);
            this.toolStripMenuItem1 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem5 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator1 = new System.Windows.Forms.ToolStripSeparator();
            this.toolStripMenuItem2 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem3 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem4 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem7 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem9 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripSeparator3 = new System.Windows.Forms.ToolStripSeparator();
            this.toolStripMenuItem6 = new System.Windows.Forms.ToolStripMenuItem();
            this.toolStripMenuItem8 = new System.Windows.Forms.ToolStripMenuItem();
            this.tabPage5 = new System.Windows.Forms.TabPage();
            this.button27 = new System.Windows.Forms.Button();
            this.button28 = new System.Windows.Forms.Button();
            this.listBox4 = new System.Windows.Forms.ListBox();
            this.button19 = new System.Windows.Forms.Button();
            this.button20 = new System.Windows.Forms.Button();
            this.button17 = new System.Windows.Forms.Button();
            this.button18 = new System.Windows.Forms.Button();
            this.label12 = new System.Windows.Forms.Label();
            this.cbLockedDeviceIndex = new System.Windows.Forms.ComboBox();
            this.tbDetailIndex3 = new System.Windows.Forms.TextBox();
            this.label13 = new System.Windows.Forms.Label();
            this.tabPage4 = new System.Windows.Forms.TabPage();
            this.button25 = new System.Windows.Forms.Button();
            this.button26 = new System.Windows.Forms.Button();
            this.button9 = new System.Windows.Forms.Button();
            this.button10 = new System.Windows.Forms.Button();
            this.listBox2 = new System.Windows.Forms.ListBox();
            this.button6 = new System.Windows.Forms.Button();
            this.button7 = new System.Windows.Forms.Button();
            this.label7 = new System.Windows.Forms.Label();
            this.cbAssociateDeviceOrder = new System.Windows.Forms.ComboBox();
            this.label8 = new System.Windows.Forms.Label();
            this.cbAssociateDeviceIndex = new System.Windows.Forms.ComboBox();
            this.tbDetailIndex2 = new System.Windows.Forms.TextBox();
            this.label9 = new System.Windows.Forms.Label();
            this.tabPage2 = new System.Windows.Forms.TabPage();
            this.button23 = new System.Windows.Forms.Button();
            this.button24 = new System.Windows.Forms.Button();
            this.rbtw2 = new System.Windows.Forms.RadioButton();
            this.rbtw1 = new System.Windows.Forms.RadioButton();
            this.button12 = new System.Windows.Forms.Button();
            this.button13 = new System.Windows.Forms.Button();
            this.listBox3 = new System.Windows.Forms.ListBox();
            this.button14 = new System.Windows.Forms.Button();
            this.button15 = new System.Windows.Forms.Button();
            this.label10 = new System.Windows.Forms.Label();
            this.cbAheadDetect = new System.Windows.Forms.ComboBox();
            this.tbDetailIndex1 = new System.Windows.Forms.TextBox();
            this.label11 = new System.Windows.Forms.Label();
            this.tabPage6 = new System.Windows.Forms.TabPage();
            this.button8 = new System.Windows.Forms.Button();
            this.tbContent = new System.Windows.Forms.TextBox();
            this.btNullQuery = new System.Windows.Forms.Button();
            this.btQuery = new System.Windows.Forms.Button();
            this.label14 = new System.Windows.Forms.Label();
            this.cbField = new System.Windows.Forms.ComboBox();
            this.tabPage1 = new System.Windows.Forms.TabPage();
            this.button29 = new System.Windows.Forms.Button();
            this.button21 = new System.Windows.Forms.Button();
            this.button22 = new System.Windows.Forms.Button();
            this.button5 = new System.Windows.Forms.Button();
            this.button4 = new System.Windows.Forms.Button();
            this.btSave = new System.Windows.Forms.Button();
            this.btNull = new System.Windows.Forms.Button();
            this.chbWaitPallet = new System.Windows.Forms.CheckBox();
            this.chbEndNode = new System.Windows.Forms.CheckBox();
            this.button3 = new System.Windows.Forms.Button();
            this.button2 = new System.Windows.Forms.Button();
            this.listBox1 = new System.Windows.Forms.ListBox();
            this.label6 = new System.Windows.Forms.Label();
            this.cbOrders = new System.Windows.Forms.ComboBox();
            this.label5 = new System.Windows.Forms.Label();
            this.cbDeviceIndex = new System.Windows.Forms.ComboBox();
            this.tbRouteKind = new System.Windows.Forms.TextBox();
            this.label4 = new System.Windows.Forms.Label();
            this.cbRouteKindIndex = new System.Windows.Forms.ComboBox();
            this.button1 = new System.Windows.Forms.Button();
            this.label1 = new System.Windows.Forms.Label();
            this.tbRouteDetailIndex = new System.Windows.Forms.TextBox();
            this.label3 = new System.Windows.Forms.Label();
            this.tbDetailIndex = new System.Windows.Forms.TextBox();
            this.label2 = new System.Windows.Forms.Label();
            this.tabControl1 = new System.Windows.Forms.TabControl();
            this.tabPage3 = new System.Windows.Forms.TabPage();
            this.button11 = new System.Windows.Forms.Button();
            this.button16 = new System.Windows.Forms.Button();
            this.button30 = new System.Windows.Forms.Button();
            this.button31 = new System.Windows.Forms.Button();
            this.listBox5 = new System.Windows.Forms.ListBox();
            this.button32 = new System.Windows.Forms.Button();
            this.button33 = new System.Windows.Forms.Button();
            this.label15 = new System.Windows.Forms.Label();
            this.cbBlockDeviceOrder = new System.Windows.Forms.ComboBox();
            this.label16 = new System.Windows.Forms.Label();
            this.cbBlockDevice = new System.Windows.Forms.ComboBox();
            this.tbDetailIndex4 = new System.Windows.Forms.TextBox();
            this.label17 = new System.Windows.Forms.Label();
            this.tabPage7 = new System.Windows.Forms.TabPage();
            this.button34 = new System.Windows.Forms.Button();
            this.button35 = new System.Windows.Forms.Button();
            this.button36 = new System.Windows.Forms.Button();
            this.button37 = new System.Windows.Forms.Button();
            this.listBox6 = new System.Windows.Forms.ListBox();
            this.button38 = new System.Windows.Forms.Button();
            this.button39 = new System.Windows.Forms.Button();
            this.label18 = new System.Windows.Forms.Label();
            this.cbAheadTriggerOrder = new System.Windows.Forms.ComboBox();
            this.label19 = new System.Windows.Forms.Label();
            this.cbAheadTrigger = new System.Windows.Forms.ComboBox();
            this.tbDetailIndex5 = new System.Windows.Forms.TextBox();
            this.label20 = new System.Windows.Forms.Label();
            this.toolStripMenuItem10 = new System.Windows.Forms.ToolStripMenuItem();
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).BeginInit();
            this.contextMenuStrip1.SuspendLayout();
            this.tabPage5.SuspendLayout();
            this.tabPage4.SuspendLayout();
            this.tabPage2.SuspendLayout();
            this.tabPage6.SuspendLayout();
            this.tabPage1.SuspendLayout();
            this.tabControl1.SuspendLayout();
            this.tabPage3.SuspendLayout();
            this.tabPage7.SuspendLayout();
            this.SuspendLayout();
            // 
            // dataGridView1
            // 
            this.dataGridView1.AllowUserToAddRows = false;
            this.dataGridView1.AllowUserToDeleteRows = false;
            this.dataGridView1.AllowUserToOrderColumns = true;
            this.dataGridView1.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.dataGridView1.ContextMenuStrip = this.contextMenuStrip1;
            this.dataGridView1.Location = new System.Drawing.Point(12, 332);
            this.dataGridView1.Name = "dataGridView1";
            this.dataGridView1.ReadOnly = true;
            this.dataGridView1.RowTemplate.Height = 23;
            this.dataGridView1.Size = new System.Drawing.Size(985, 350);
            this.dataGridView1.TabIndex = 1;
            // 
            // contextMenuStrip1
            // 
            this.contextMenuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.toolStripMenuItem1,
            this.toolStripMenuItem5,
            this.toolStripSeparator1,
            this.toolStripMenuItem2,
            this.toolStripMenuItem3,
            this.toolStripMenuItem4,
            this.toolStripMenuItem7,
            this.toolStripMenuItem9,
            this.toolStripMenuItem10,
            this.toolStripSeparator3,
            this.toolStripMenuItem6,
            this.toolStripMenuItem8});
            this.contextMenuStrip1.Name = "contextMenuStrip1";
            this.contextMenuStrip1.Size = new System.Drawing.Size(203, 236);
            // 
            // toolStripMenuItem1
            // 
            this.toolStripMenuItem1.Name = "toolStripMenuItem1";
            this.toolStripMenuItem1.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem1.Text = "删除";
            this.toolStripMenuItem1.Click += new System.EventHandler(this.toolStripMenuItem1_Click);
            // 
            // toolStripMenuItem5
            // 
            this.toolStripMenuItem5.Name = "toolStripMenuItem5";
            this.toolStripMenuItem5.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem5.Text = "撤销修改";
            this.toolStripMenuItem5.Click += new System.EventHandler(this.toolStripMenuItem5_Click);
            // 
            // toolStripSeparator1
            // 
            this.toolStripSeparator1.Name = "toolStripSeparator1";
            this.toolStripSeparator1.Size = new System.Drawing.Size(199, 6);
            // 
            // toolStripMenuItem2
            // 
            this.toolStripMenuItem2.Name = "toolStripMenuItem2";
            this.toolStripMenuItem2.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem2.Text = "修改节点设备和命令集";
            this.toolStripMenuItem2.Click += new System.EventHandler(this.toolStripMenuItem2_Click);
            // 
            // toolStripMenuItem3
            // 
            this.toolStripMenuItem3.Name = "toolStripMenuItem3";
            this.toolStripMenuItem3.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem3.Text = "修改提前检测光电组";
            this.toolStripMenuItem3.Click += new System.EventHandler(this.toolStripMenuItem3_Click);
            // 
            // toolStripMenuItem4
            // 
            this.toolStripMenuItem4.Name = "toolStripMenuItem4";
            this.toolStripMenuItem4.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem4.Text = "修改关联设备和命令";
            this.toolStripMenuItem4.Click += new System.EventHandler(this.toolStripMenuItem4_Click);
            // 
            // toolStripMenuItem7
            // 
            this.toolStripMenuItem7.Name = "toolStripMenuItem7";
            this.toolStripMenuItem7.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem7.Text = "修改运行时锁定设备集";
            this.toolStripMenuItem7.Click += new System.EventHandler(this.toolStripMenuItem7_Click);
            // 
            // toolStripMenuItem9
            // 
            this.toolStripMenuItem9.Name = "toolStripMenuItem9";
            this.toolStripMenuItem9.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem9.Text = "修改阻挡设备和命令";
            this.toolStripMenuItem9.Click += new System.EventHandler(this.toolStripMenuItem9_Click);
            // 
            // toolStripSeparator3
            // 
            this.toolStripSeparator3.Name = "toolStripSeparator3";
            this.toolStripSeparator3.Size = new System.Drawing.Size(199, 6);
            // 
            // toolStripMenuItem6
            // 
            this.toolStripMenuItem6.Name = "toolStripMenuItem6";
            this.toolStripMenuItem6.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem6.Text = "在选中记录前插入新记录";
            this.toolStripMenuItem6.Click += new System.EventHandler(this.toolStripMenuItem6_Click);
            // 
            // toolStripMenuItem8
            // 
            this.toolStripMenuItem8.Name = "toolStripMenuItem8";
            this.toolStripMenuItem8.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem8.Text = "撤销插入新记录";
            this.toolStripMenuItem8.Click += new System.EventHandler(this.toolStripMenuItem8_Click);
            // 
            // tabPage5
            // 
            this.tabPage5.Controls.Add(this.button27);
            this.tabPage5.Controls.Add(this.button28);
            this.tabPage5.Controls.Add(this.listBox4);
            this.tabPage5.Controls.Add(this.button19);
            this.tabPage5.Controls.Add(this.button20);
            this.tabPage5.Controls.Add(this.button17);
            this.tabPage5.Controls.Add(this.button18);
            this.tabPage5.Controls.Add(this.label12);
            this.tabPage5.Controls.Add(this.cbLockedDeviceIndex);
            this.tabPage5.Controls.Add(this.tbDetailIndex3);
            this.tabPage5.Controls.Add(this.label13);
            this.tabPage5.Location = new System.Drawing.Point(4, 21);
            this.tabPage5.Name = "tabPage5";
            this.tabPage5.Size = new System.Drawing.Size(981, 289);
            this.tabPage5.TabIndex = 4;
            this.tabPage5.Text = "运行时锁定设备维护";
            this.tabPage5.UseVisualStyleBackColor = true;
            // 
            // button27
            // 
            this.button27.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button27.Location = new System.Drawing.Point(477, 128);
            this.button27.Name = "button27";
            this.button27.Size = new System.Drawing.Size(42, 23);
            this.button27.TabIndex = 78;
            this.button27.Text = "↓";
            this.button27.UseVisualStyleBackColor = true;
            this.button27.Click += new System.EventHandler(this.button27_Click);
            // 
            // button28
            // 
            this.button28.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button28.Location = new System.Drawing.Point(477, 99);
            this.button28.Name = "button28";
            this.button28.Size = new System.Drawing.Size(42, 23);
            this.button28.TabIndex = 77;
            this.button28.Text = "↑";
            this.button28.UseVisualStyleBackColor = true;
            this.button28.Click += new System.EventHandler(this.button28_Click);
            // 
            // listBox4
            // 
            this.listBox4.FormattingEnabled = true;
            this.listBox4.ItemHeight = 12;
            this.listBox4.Location = new System.Drawing.Point(525, 21);
            this.listBox4.Name = "listBox4";
            this.listBox4.Size = new System.Drawing.Size(187, 136);
            this.listBox4.TabIndex = 76;
            // 
            // button19
            // 
            this.button19.Location = new System.Drawing.Point(477, 53);
            this.button19.Name = "button19";
            this.button19.Size = new System.Drawing.Size(42, 23);
            this.button19.TabIndex = 75;
            this.button19.Text = "删除";
            this.button19.UseVisualStyleBackColor = true;
            this.button19.Click += new System.EventHandler(this.button19_Click);
            // 
            // button20
            // 
            this.button20.Location = new System.Drawing.Point(477, 24);
            this.button20.Name = "button20";
            this.button20.Size = new System.Drawing.Size(42, 23);
            this.button20.TabIndex = 74;
            this.button20.Text = "增加";
            this.button20.UseVisualStyleBackColor = true;
            this.button20.Click += new System.EventHandler(this.button20_Click);
            // 
            // button17
            // 
            this.button17.Location = new System.Drawing.Point(525, 176);
            this.button17.Name = "button17";
            this.button17.Size = new System.Drawing.Size(54, 21);
            this.button17.TabIndex = 72;
            this.button17.Text = "保存";
            this.button17.UseVisualStyleBackColor = true;
            this.button17.Click += new System.EventHandler(this.button17_Click);
            // 
            // button18
            // 
            this.button18.Location = new System.Drawing.Point(140, 176);
            this.button18.Name = "button18";
            this.button18.Size = new System.Drawing.Size(54, 21);
            this.button18.TabIndex = 71;
            this.button18.Text = "清空";
            this.button18.UseVisualStyleBackColor = true;
            this.button18.Click += new System.EventHandler(this.button18_Click);
            // 
            // label12
            // 
            this.label12.AutoSize = true;
            this.label12.Location = new System.Drawing.Point(199, 27);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(101, 12);
            this.label12.TabIndex = 70;
            this.label12.Text = "被锁定的设备名称";
            // 
            // cbLockedDeviceIndex
            // 
            this.cbLockedDeviceIndex.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbLockedDeviceIndex.FormattingEnabled = true;
            this.cbLockedDeviceIndex.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbLockedDeviceIndex.Location = new System.Drawing.Point(306, 24);
            this.cbLockedDeviceIndex.Name = "cbLockedDeviceIndex";
            this.cbLockedDeviceIndex.Size = new System.Drawing.Size(165, 20);
            this.cbLockedDeviceIndex.TabIndex = 69;
            // 
            // tbDetailIndex3
            // 
            this.tbDetailIndex3.Location = new System.Drawing.Point(119, 21);
            this.tbDetailIndex3.Name = "tbDetailIndex3";
            this.tbDetailIndex3.Size = new System.Drawing.Size(51, 21);
            this.tbDetailIndex3.TabIndex = 68;
            this.tbDetailIndex3.TextChanged += new System.EventHandler(this.tbDetailIndex3_TextChanged);
            // 
            // label13
            // 
            this.label13.AutoSize = true;
            this.label13.Location = new System.Drawing.Point(12, 27);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(101, 12);
            this.label13.TabIndex = 67;
            this.label13.Text = "详细路径记录索引";
            // 
            // tabPage4
            // 
            this.tabPage4.Controls.Add(this.button25);
            this.tabPage4.Controls.Add(this.button26);
            this.tabPage4.Controls.Add(this.button9);
            this.tabPage4.Controls.Add(this.button10);
            this.tabPage4.Controls.Add(this.listBox2);
            this.tabPage4.Controls.Add(this.button6);
            this.tabPage4.Controls.Add(this.button7);
            this.tabPage4.Controls.Add(this.label7);
            this.tabPage4.Controls.Add(this.cbAssociateDeviceOrder);
            this.tabPage4.Controls.Add(this.label8);
            this.tabPage4.Controls.Add(this.cbAssociateDeviceIndex);
            this.tabPage4.Controls.Add(this.tbDetailIndex2);
            this.tabPage4.Controls.Add(this.label9);
            this.tabPage4.Location = new System.Drawing.Point(4, 21);
            this.tabPage4.Name = "tabPage4";
            this.tabPage4.Size = new System.Drawing.Size(981, 289);
            this.tabPage4.TabIndex = 3;
            this.tabPage4.Text = "关联设备和命令信息维护";
            this.tabPage4.UseVisualStyleBackColor = true;
            // 
            // button25
            // 
            this.button25.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button25.Location = new System.Drawing.Point(548, 113);
            this.button25.Name = "button25";
            this.button25.Size = new System.Drawing.Size(42, 23);
            this.button25.TabIndex = 68;
            this.button25.Text = "↓";
            this.button25.UseVisualStyleBackColor = true;
            this.button25.Click += new System.EventHandler(this.button25_Click);
            // 
            // button26
            // 
            this.button26.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button26.Location = new System.Drawing.Point(548, 84);
            this.button26.Name = "button26";
            this.button26.Size = new System.Drawing.Size(42, 23);
            this.button26.TabIndex = 67;
            this.button26.Text = "↑";
            this.button26.UseVisualStyleBackColor = true;
            this.button26.Click += new System.EventHandler(this.button26_Click);
            // 
            // button9
            // 
            this.button9.Location = new System.Drawing.Point(596, 139);
            this.button9.Name = "button9";
            this.button9.Size = new System.Drawing.Size(54, 21);
            this.button9.TabIndex = 65;
            this.button9.Text = "保存";
            this.button9.UseVisualStyleBackColor = true;
            this.button9.Click += new System.EventHandler(this.button9_Click);
            // 
            // button10
            // 
            this.button10.Location = new System.Drawing.Point(177, 139);
            this.button10.Name = "button10";
            this.button10.Size = new System.Drawing.Size(54, 21);
            this.button10.TabIndex = 64;
            this.button10.Text = "清空";
            this.button10.UseVisualStyleBackColor = true;
            this.button10.Click += new System.EventHandler(this.button10_Click);
            // 
            // listBox2
            // 
            this.listBox2.FormattingEnabled = true;
            this.listBox2.ItemHeight = 12;
            this.listBox2.Location = new System.Drawing.Point(596, 12);
            this.listBox2.Name = "listBox2";
            this.listBox2.Size = new System.Drawing.Size(210, 124);
            this.listBox2.TabIndex = 63;
            // 
            // button6
            // 
            this.button6.Location = new System.Drawing.Point(548, 47);
            this.button6.Name = "button6";
            this.button6.Size = new System.Drawing.Size(42, 23);
            this.button6.TabIndex = 62;
            this.button6.Text = "删除";
            this.button6.UseVisualStyleBackColor = true;
            this.button6.Click += new System.EventHandler(this.button6_Click);
            // 
            // button7
            // 
            this.button7.Location = new System.Drawing.Point(548, 18);
            this.button7.Name = "button7";
            this.button7.Size = new System.Drawing.Size(42, 23);
            this.button7.TabIndex = 61;
            this.button7.Text = "增加";
            this.button7.UseVisualStyleBackColor = true;
            this.button7.Click += new System.EventHandler(this.button7_Click);
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(373, 23);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(53, 12);
            this.label7.TabIndex = 60;
            this.label7.Text = "设备命令";
            // 
            // cbAssociateDeviceOrder
            // 
            this.cbAssociateDeviceOrder.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbAssociateDeviceOrder.FormattingEnabled = true;
            this.cbAssociateDeviceOrder.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbAssociateDeviceOrder.Location = new System.Drawing.Point(429, 18);
            this.cbAssociateDeviceOrder.Name = "cbAssociateDeviceOrder";
            this.cbAssociateDeviceOrder.Size = new System.Drawing.Size(113, 20);
            this.cbAssociateDeviceOrder.TabIndex = 59;
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(167, 21);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(77, 12);
            this.label8.TabIndex = 58;
            this.label8.Text = "关联设备名称";
            // 
            // cbAssociateDeviceIndex
            // 
            this.cbAssociateDeviceIndex.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbAssociateDeviceIndex.FormattingEnabled = true;
            this.cbAssociateDeviceIndex.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbAssociateDeviceIndex.Location = new System.Drawing.Point(244, 18);
            this.cbAssociateDeviceIndex.Name = "cbAssociateDeviceIndex";
            this.cbAssociateDeviceIndex.Size = new System.Drawing.Size(126, 20);
            this.cbAssociateDeviceIndex.TabIndex = 57;
            this.cbAssociateDeviceIndex.SelectedIndexChanged += new System.EventHandler(this.cbAssociateDeviceIndex_SelectedIndexChanged);
            // 
            // tbDetailIndex2
            // 
            this.tbDetailIndex2.Location = new System.Drawing.Point(110, 15);
            this.tbDetailIndex2.Name = "tbDetailIndex2";
            this.tbDetailIndex2.Size = new System.Drawing.Size(51, 21);
            this.tbDetailIndex2.TabIndex = 56;
            this.tbDetailIndex2.TextChanged += new System.EventHandler(this.tbDetailIndex2_TextChanged);
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(3, 21);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(101, 12);
            this.label9.TabIndex = 55;
            this.label9.Text = "详细路径记录索引";
            // 
            // tabPage2
            // 
            this.tabPage2.Controls.Add(this.button23);
            this.tabPage2.Controls.Add(this.button24);
            this.tabPage2.Controls.Add(this.rbtw2);
            this.tabPage2.Controls.Add(this.rbtw1);
            this.tabPage2.Controls.Add(this.button12);
            this.tabPage2.Controls.Add(this.button13);
            this.tabPage2.Controls.Add(this.listBox3);
            this.tabPage2.Controls.Add(this.button14);
            this.tabPage2.Controls.Add(this.button15);
            this.tabPage2.Controls.Add(this.label10);
            this.tabPage2.Controls.Add(this.cbAheadDetect);
            this.tabPage2.Controls.Add(this.tbDetailIndex1);
            this.tabPage2.Controls.Add(this.label11);
            this.tabPage2.Location = new System.Drawing.Point(4, 21);
            this.tabPage2.Name = "tabPage2";
            this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage2.Size = new System.Drawing.Size(981, 289);
            this.tabPage2.TabIndex = 1;
            this.tabPage2.Text = "提前检测光电组维护";
            this.tabPage2.UseVisualStyleBackColor = true;
            // 
            // button23
            // 
            this.button23.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button23.Location = new System.Drawing.Point(591, 117);
            this.button23.Name = "button23";
            this.button23.Size = new System.Drawing.Size(42, 23);
            this.button23.TabIndex = 80;
            this.button23.Text = "↓";
            this.button23.UseVisualStyleBackColor = true;
            this.button23.Click += new System.EventHandler(this.button23_Click);
            // 
            // button24
            // 
            this.button24.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button24.Location = new System.Drawing.Point(591, 88);
            this.button24.Name = "button24";
            this.button24.Size = new System.Drawing.Size(42, 23);
            this.button24.TabIndex = 79;
            this.button24.Text = "↑";
            this.button24.UseVisualStyleBackColor = true;
            this.button24.Click += new System.EventHandler(this.button24_Click);
            // 
            // rbtw2
            // 
            this.rbtw2.AutoSize = true;
            this.rbtw2.Location = new System.Drawing.Point(502, 56);
            this.rbtw2.Name = "rbtw2";
            this.rbtw2.Size = new System.Drawing.Size(83, 16);
            this.rbtw2.TabIndex = 78;
            this.rbtw2.TabStop = true;
            this.rbtw2.Text = "无探物检测";
            this.rbtw2.UseVisualStyleBackColor = true;
            // 
            // rbtw1
            // 
            this.rbtw1.AutoSize = true;
            this.rbtw1.Location = new System.Drawing.Point(502, 25);
            this.rbtw1.Name = "rbtw1";
            this.rbtw1.Size = new System.Drawing.Size(83, 16);
            this.rbtw1.TabIndex = 77;
            this.rbtw1.TabStop = true;
            this.rbtw1.Text = "有探物检测";
            this.rbtw1.UseVisualStyleBackColor = true;
            // 
            // button12
            // 
            this.button12.Location = new System.Drawing.Point(662, 145);
            this.button12.Name = "button12";
            this.button12.Size = new System.Drawing.Size(54, 21);
            this.button12.TabIndex = 75;
            this.button12.Text = "保存";
            this.button12.UseVisualStyleBackColor = true;
            this.button12.Click += new System.EventHandler(this.button12_Click);
            // 
            // button13
            // 
            this.button13.Location = new System.Drawing.Point(107, 147);
            this.button13.Name = "button13";
            this.button13.Size = new System.Drawing.Size(54, 21);
            this.button13.TabIndex = 74;
            this.button13.Text = "清空";
            this.button13.UseVisualStyleBackColor = true;
            this.button13.Click += new System.EventHandler(this.button13_Click);
            // 
            // listBox3
            // 
            this.listBox3.FormattingEnabled = true;
            this.listBox3.ItemHeight = 12;
            this.listBox3.Location = new System.Drawing.Point(639, 15);
            this.listBox3.Name = "listBox3";
            this.listBox3.Size = new System.Drawing.Size(336, 124);
            this.listBox3.TabIndex = 73;
            // 
            // button14
            // 
            this.button14.Location = new System.Drawing.Point(591, 56);
            this.button14.Name = "button14";
            this.button14.Size = new System.Drawing.Size(42, 23);
            this.button14.TabIndex = 72;
            this.button14.Text = "删除";
            this.button14.UseVisualStyleBackColor = true;
            this.button14.Click += new System.EventHandler(this.button14_Click);
            // 
            // button15
            // 
            this.button15.Location = new System.Drawing.Point(591, 22);
            this.button15.Name = "button15";
            this.button15.Size = new System.Drawing.Size(42, 23);
            this.button15.TabIndex = 71;
            this.button15.Text = "增加";
            this.button15.UseVisualStyleBackColor = true;
            this.button15.Click += new System.EventHandler(this.button15_Click);
            // 
            // label10
            // 
            this.label10.AutoSize = true;
            this.label10.Location = new System.Drawing.Point(208, 30);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(53, 12);
            this.label10.TabIndex = 70;
            this.label10.Text = "光电开关";
            // 
            // cbAheadDetect
            // 
            this.cbAheadDetect.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbAheadDetect.FormattingEnabled = true;
            this.cbAheadDetect.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbAheadDetect.Location = new System.Drawing.Point(267, 24);
            this.cbAheadDetect.Name = "cbAheadDetect";
            this.cbAheadDetect.Size = new System.Drawing.Size(229, 20);
            this.cbAheadDetect.TabIndex = 69;
            // 
            // tbDetailIndex1
            // 
            this.tbDetailIndex1.Location = new System.Drawing.Point(126, 24);
            this.tbDetailIndex1.Name = "tbDetailIndex1";
            this.tbDetailIndex1.Size = new System.Drawing.Size(51, 21);
            this.tbDetailIndex1.TabIndex = 68;
            this.tbDetailIndex1.TextChanged += new System.EventHandler(this.tbDetailIndex1_TextChanged);
            // 
            // label11
            // 
            this.label11.AutoSize = true;
            this.label11.Location = new System.Drawing.Point(19, 30);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(101, 12);
            this.label11.TabIndex = 67;
            this.label11.Text = "详细路径记录索引";
            // 
            // tabPage6
            // 
            this.tabPage6.Controls.Add(this.button8);
            this.tabPage6.Controls.Add(this.tbContent);
            this.tabPage6.Controls.Add(this.btNullQuery);
            this.tabPage6.Controls.Add(this.btQuery);
            this.tabPage6.Controls.Add(this.label14);
            this.tabPage6.Controls.Add(this.cbField);
            this.tabPage6.Location = new System.Drawing.Point(4, 21);
            this.tabPage6.Name = "tabPage6";
            this.tabPage6.Size = new System.Drawing.Size(981, 289);
            this.tabPage6.TabIndex = 5;
            this.tabPage6.Text = "详细路径检索";
            this.tabPage6.UseVisualStyleBackColor = true;
            // 
            // button8
            // 
            this.button8.Location = new System.Drawing.Point(352, 78);
            this.button8.Name = "button8";
            this.button8.Size = new System.Drawing.Size(74, 21);
            this.button8.TabIndex = 45;
            this.button8.Text = "显示全部";
            this.button8.UseVisualStyleBackColor = true;
            this.button8.Click += new System.EventHandler(this.button8_Click);
            // 
            // tbContent
            // 
            this.tbContent.Location = new System.Drawing.Point(231, 35);
            this.tbContent.Name = "tbContent";
            this.tbContent.Size = new System.Drawing.Size(87, 21);
            this.tbContent.TabIndex = 44;
            // 
            // btNullQuery
            // 
            this.btNullQuery.Location = new System.Drawing.Point(147, 78);
            this.btNullQuery.Name = "btNullQuery";
            this.btNullQuery.Size = new System.Drawing.Size(54, 21);
            this.btNullQuery.TabIndex = 43;
            this.btNullQuery.Text = "清空";
            this.btNullQuery.UseVisualStyleBackColor = true;
            this.btNullQuery.Click += new System.EventHandler(this.btNullQuery_Click);
            // 
            // btQuery
            // 
            this.btQuery.Location = new System.Drawing.Point(244, 78);
            this.btQuery.Name = "btQuery";
            this.btQuery.Size = new System.Drawing.Size(74, 21);
            this.btQuery.TabIndex = 42;
            this.btQuery.Text = "开始查询";
            this.btQuery.UseVisualStyleBackColor = true;
            this.btQuery.Click += new System.EventHandler(this.btQuery_Click);
            // 
            // label14
            // 
            this.label14.AutoSize = true;
            this.label14.Location = new System.Drawing.Point(26, 38);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(77, 12);
            this.label14.TabIndex = 41;
            this.label14.Text = "选择查询方法";
            // 
            // cbField
            // 
            this.cbField.FormattingEnabled = true;
            this.cbField.Items.AddRange(new object[] {
            "详细路径记录索引",
            "路径索引"});
            this.cbField.Location = new System.Drawing.Point(109, 35);
            this.cbField.Name = "cbField";
            this.cbField.Size = new System.Drawing.Size(116, 20);
            this.cbField.TabIndex = 40;
            // 
            // tabPage1
            // 
            this.tabPage1.Controls.Add(this.button29);
            this.tabPage1.Controls.Add(this.button21);
            this.tabPage1.Controls.Add(this.button22);
            this.tabPage1.Controls.Add(this.button5);
            this.tabPage1.Controls.Add(this.button4);
            this.tabPage1.Controls.Add(this.btSave);
            this.tabPage1.Controls.Add(this.btNull);
            this.tabPage1.Controls.Add(this.chbWaitPallet);
            this.tabPage1.Controls.Add(this.chbEndNode);
            this.tabPage1.Controls.Add(this.button3);
            this.tabPage1.Controls.Add(this.button2);
            this.tabPage1.Controls.Add(this.listBox1);
            this.tabPage1.Controls.Add(this.label6);
            this.tabPage1.Controls.Add(this.cbOrders);
            this.tabPage1.Controls.Add(this.label5);
            this.tabPage1.Controls.Add(this.cbDeviceIndex);
            this.tabPage1.Controls.Add(this.tbRouteKind);
            this.tabPage1.Controls.Add(this.label4);
            this.tabPage1.Controls.Add(this.cbRouteKindIndex);
            this.tabPage1.Controls.Add(this.button1);
            this.tabPage1.Controls.Add(this.label1);
            this.tabPage1.Controls.Add(this.tbRouteDetailIndex);
            this.tabPage1.Controls.Add(this.label3);
            this.tabPage1.Controls.Add(this.tbDetailIndex);
            this.tabPage1.Controls.Add(this.label2);
            this.tabPage1.Location = new System.Drawing.Point(4, 21);
            this.tabPage1.Name = "tabPage1";
            this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage1.Size = new System.Drawing.Size(981, 289);
            this.tabPage1.TabIndex = 0;
            this.tabPage1.Text = "设备和命令信息维护";
            this.tabPage1.UseVisualStyleBackColor = true;
            // 
            // button29
            // 
            this.button29.Location = new System.Drawing.Point(334, 244);
            this.button29.Name = "button29";
            this.button29.Size = new System.Drawing.Size(114, 21);
            this.button29.TabIndex = 63;
            this.button29.Text = "撤销插入新记录";
            this.button29.UseVisualStyleBackColor = true;
            this.button29.Click += new System.EventHandler(this.button29_Click);
            // 
            // button21
            // 
            this.button21.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button21.Location = new System.Drawing.Point(492, 191);
            this.button21.Name = "button21";
            this.button21.Size = new System.Drawing.Size(42, 23);
            this.button21.TabIndex = 62;
            this.button21.Text = "↓";
            this.button21.UseVisualStyleBackColor = true;
            this.button21.Click += new System.EventHandler(this.button21_Click);
            // 
            // button22
            // 
            this.button22.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button22.Location = new System.Drawing.Point(492, 162);
            this.button22.Name = "button22";
            this.button22.Size = new System.Drawing.Size(42, 23);
            this.button22.TabIndex = 61;
            this.button22.Text = "↑";
            this.button22.UseVisualStyleBackColor = true;
            this.button22.Click += new System.EventHandler(this.button22_Click);
            // 
            // button5
            // 
            this.button5.Location = new System.Drawing.Point(912, 25);
            this.button5.Name = "button5";
            this.button5.Size = new System.Drawing.Size(42, 23);
            this.button5.TabIndex = 60;
            this.button5.Text = "获得";
            this.button5.UseVisualStyleBackColor = true;
            this.button5.Click += new System.EventHandler(this.button5_Click);
            // 
            // button4
            // 
            this.button4.Location = new System.Drawing.Point(250, 244);
            this.button4.Name = "button4";
            this.button4.Size = new System.Drawing.Size(67, 21);
            this.button4.TabIndex = 59;
            this.button4.Text = "撤销修改";
            this.button4.UseVisualStyleBackColor = true;
            this.button4.Click += new System.EventHandler(this.button4_Click);
            // 
            // btSave
            // 
            this.btSave.Location = new System.Drawing.Point(799, 244);
            this.btSave.Name = "btSave";
            this.btSave.Size = new System.Drawing.Size(54, 21);
            this.btSave.TabIndex = 58;
            this.btSave.Text = "保存";
            this.btSave.UseVisualStyleBackColor = true;
            this.btSave.Click += new System.EventHandler(this.btSave_Click);
            // 
            // btNull
            // 
            this.btNull.Location = new System.Drawing.Point(171, 244);
            this.btNull.Name = "btNull";
            this.btNull.Size = new System.Drawing.Size(54, 21);
            this.btNull.TabIndex = 57;
            this.btNull.Text = "清空";
            this.btNull.UseVisualStyleBackColor = true;
            this.btNull.Click += new System.EventHandler(this.btNull_Click);
            // 
            // chbWaitPallet
            // 
            this.chbWaitPallet.AutoSize = true;
            this.chbWaitPallet.Location = new System.Drawing.Point(780, 140);
            this.chbWaitPallet.Name = "chbWaitPallet";
            this.chbWaitPallet.Size = new System.Drawing.Size(132, 16);
            this.chbWaitPallet.TabIndex = 56;
            this.chbWaitPallet.Text = "此节点可以暂停托盘";
            this.chbWaitPallet.UseVisualStyleBackColor = true;
            // 
            // chbEndNode
            // 
            this.chbEndNode.AutoSize = true;
            this.chbEndNode.Location = new System.Drawing.Point(780, 106);
            this.chbEndNode.Name = "chbEndNode";
            this.chbEndNode.Size = new System.Drawing.Size(108, 16);
            this.chbEndNode.TabIndex = 55;
            this.chbEndNode.Text = "是端头节点设备";
            this.chbEndNode.UseVisualStyleBackColor = true;
            // 
            // button3
            // 
            this.button3.Location = new System.Drawing.Point(492, 135);
            this.button3.Name = "button3";
            this.button3.Size = new System.Drawing.Size(42, 23);
            this.button3.TabIndex = 54;
            this.button3.Text = "删除";
            this.button3.UseVisualStyleBackColor = true;
            this.button3.Click += new System.EventHandler(this.button3_Click);
            // 
            // button2
            // 
            this.button2.Location = new System.Drawing.Point(492, 106);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(42, 23);
            this.button2.TabIndex = 53;
            this.button2.Text = "增加";
            this.button2.UseVisualStyleBackColor = true;
            this.button2.Click += new System.EventHandler(this.button2_Click);
            // 
            // listBox1
            // 
            this.listBox1.FormattingEnabled = true;
            this.listBox1.ItemHeight = 12;
            this.listBox1.Location = new System.Drawing.Point(540, 81);
            this.listBox1.Name = "listBox1";
            this.listBox1.Size = new System.Drawing.Size(210, 148);
            this.listBox1.TabIndex = 52;
            // 
            // label6
            // 
            this.label6.AutoSize = true;
            this.label6.Location = new System.Drawing.Point(275, 111);
            this.label6.Name = "label6";
            this.label6.Size = new System.Drawing.Size(53, 12);
            this.label6.TabIndex = 51;
            this.label6.Text = "设备命令";
            // 
            // cbOrders
            // 
            this.cbOrders.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbOrders.FormattingEnabled = true;
            this.cbOrders.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbOrders.Location = new System.Drawing.Point(334, 105);
            this.cbOrders.Name = "cbOrders";
            this.cbOrders.Size = new System.Drawing.Size(152, 20);
            this.cbOrders.TabIndex = 50;
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(19, 111);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(53, 12);
            this.label5.TabIndex = 49;
            this.label5.Text = "设备名称";
            // 
            // cbDeviceIndex
            // 
            this.cbDeviceIndex.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbDeviceIndex.FormattingEnabled = true;
            this.cbDeviceIndex.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbDeviceIndex.Location = new System.Drawing.Point(78, 105);
            this.cbDeviceIndex.Name = "cbDeviceIndex";
            this.cbDeviceIndex.Size = new System.Drawing.Size(189, 20);
            this.cbDeviceIndex.TabIndex = 48;
            this.cbDeviceIndex.SelectedIndexChanged += new System.EventHandler(this.cbDeviceIndex_SelectedIndexChanged);
            // 
            // tbRouteKind
            // 
            this.tbRouteKind.Location = new System.Drawing.Point(402, 25);
            this.tbRouteKind.Name = "tbRouteKind";
            this.tbRouteKind.Size = new System.Drawing.Size(257, 21);
            this.tbRouteKind.TabIndex = 47;
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(214, 30);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(53, 12);
            this.label4.TabIndex = 46;
            this.label4.Text = "路径索引";
            // 
            // cbRouteKindIndex
            // 
            this.cbRouteKindIndex.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbRouteKindIndex.FormattingEnabled = true;
            this.cbRouteKindIndex.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbRouteKindIndex.Location = new System.Drawing.Point(273, 24);
            this.cbRouteKindIndex.Name = "cbRouteKindIndex";
            this.cbRouteKindIndex.Size = new System.Drawing.Size(73, 20);
            this.cbRouteKindIndex.TabIndex = 45;
            this.cbRouteKindIndex.SelectedIndexChanged += new System.EventHandler(this.cbRouteKindIndex_SelectedIndexChanged);
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(171, 24);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(42, 23);
            this.button1.TabIndex = 44;
            this.button1.Text = "获得";
            this.button1.UseVisualStyleBackColor = true;
            this.button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(352, 29);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(53, 12);
            this.label1.TabIndex = 43;
            this.label1.Text = "路径名称";
            // 
            // tbRouteDetailIndex
            // 
            this.tbRouteDetailIndex.Location = new System.Drawing.Point(821, 25);
            this.tbRouteDetailIndex.Name = "tbRouteDetailIndex";
            this.tbRouteDetailIndex.Size = new System.Drawing.Size(85, 21);
            this.tbRouteDetailIndex.TabIndex = 41;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(665, 31);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(149, 12);
            this.label3.TabIndex = 40;
            this.label3.Text = "一条路径内的详细步骤索引";
            // 
            // tbDetailIndex
            // 
            this.tbDetailIndex.Location = new System.Drawing.Point(118, 25);
            this.tbDetailIndex.Name = "tbDetailIndex";
            this.tbDetailIndex.Size = new System.Drawing.Size(51, 21);
            this.tbDetailIndex.TabIndex = 39;
            this.tbDetailIndex.TextChanged += new System.EventHandler(this.tbDetailIndex_TextChanged);
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(19, 30);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(101, 12);
            this.label2.TabIndex = 38;
            this.label2.Text = "详细路径记录索引";
            // 
            // tabControl1
            // 
            this.tabControl1.Controls.Add(this.tabPage1);
            this.tabControl1.Controls.Add(this.tabPage6);
            this.tabControl1.Controls.Add(this.tabPage2);
            this.tabControl1.Controls.Add(this.tabPage4);
            this.tabControl1.Controls.Add(this.tabPage5);
            this.tabControl1.Controls.Add(this.tabPage3);
            this.tabControl1.Controls.Add(this.tabPage7);
            this.tabControl1.Location = new System.Drawing.Point(12, 12);
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.SelectedIndex = 0;
            this.tabControl1.Size = new System.Drawing.Size(989, 314);
            this.tabControl1.TabIndex = 0;
            // 
            // tabPage3
            // 
            this.tabPage3.Controls.Add(this.button11);
            this.tabPage3.Controls.Add(this.button16);
            this.tabPage3.Controls.Add(this.button30);
            this.tabPage3.Controls.Add(this.button31);
            this.tabPage3.Controls.Add(this.listBox5);
            this.tabPage3.Controls.Add(this.button32);
            this.tabPage3.Controls.Add(this.button33);
            this.tabPage3.Controls.Add(this.label15);
            this.tabPage3.Controls.Add(this.cbBlockDeviceOrder);
            this.tabPage3.Controls.Add(this.label16);
            this.tabPage3.Controls.Add(this.cbBlockDevice);
            this.tabPage3.Controls.Add(this.tbDetailIndex4);
            this.tabPage3.Controls.Add(this.label17);
            this.tabPage3.Location = new System.Drawing.Point(4, 21);
            this.tabPage3.Name = "tabPage3";
            this.tabPage3.Size = new System.Drawing.Size(981, 289);
            this.tabPage3.TabIndex = 6;
            this.tabPage3.Text = "阻挡设备和命令信息维护";
            this.tabPage3.UseVisualStyleBackColor = true;
            // 
            // button11
            // 
            this.button11.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button11.Location = new System.Drawing.Point(548, 113);
            this.button11.Name = "button11";
            this.button11.Size = new System.Drawing.Size(42, 23);
            this.button11.TabIndex = 68;
            this.button11.Text = "↓";
            this.button11.UseVisualStyleBackColor = true;
            this.button11.Click += new System.EventHandler(this.button11_Click);
            // 
            // button16
            // 
            this.button16.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button16.Location = new System.Drawing.Point(548, 84);
            this.button16.Name = "button16";
            this.button16.Size = new System.Drawing.Size(42, 23);
            this.button16.TabIndex = 67;
            this.button16.Text = "↑";
            this.button16.UseVisualStyleBackColor = true;
            this.button16.Click += new System.EventHandler(this.button16_Click);
            // 
            // button30
            // 
            this.button30.Location = new System.Drawing.Point(596, 139);
            this.button30.Name = "button30";
            this.button30.Size = new System.Drawing.Size(54, 21);
            this.button30.TabIndex = 65;
            this.button30.Text = "保存";
            this.button30.UseVisualStyleBackColor = true;
            this.button30.Click += new System.EventHandler(this.button30_Click);
            // 
            // button31
            // 
            this.button31.Location = new System.Drawing.Point(177, 139);
            this.button31.Name = "button31";
            this.button31.Size = new System.Drawing.Size(54, 21);
            this.button31.TabIndex = 64;
            this.button31.Text = "清空";
            this.button31.UseVisualStyleBackColor = true;
            this.button31.Click += new System.EventHandler(this.button31_Click);
            // 
            // listBox5
            // 
            this.listBox5.FormattingEnabled = true;
            this.listBox5.ItemHeight = 12;
            this.listBox5.Location = new System.Drawing.Point(596, 12);
            this.listBox5.Name = "listBox5";
            this.listBox5.Size = new System.Drawing.Size(210, 124);
            this.listBox5.TabIndex = 63;
            // 
            // button32
            // 
            this.button32.Location = new System.Drawing.Point(548, 47);
            this.button32.Name = "button32";
            this.button32.Size = new System.Drawing.Size(42, 23);
            this.button32.TabIndex = 62;
            this.button32.Text = "删除";
            this.button32.UseVisualStyleBackColor = true;
            this.button32.Click += new System.EventHandler(this.button32_Click);
            // 
            // button33
            // 
            this.button33.Location = new System.Drawing.Point(548, 18);
            this.button33.Name = "button33";
            this.button33.Size = new System.Drawing.Size(42, 23);
            this.button33.TabIndex = 61;
            this.button33.Text = "增加";
            this.button33.UseVisualStyleBackColor = true;
            this.button33.Click += new System.EventHandler(this.button33_Click);
            // 
            // label15
            // 
            this.label15.AutoSize = true;
            this.label15.Location = new System.Drawing.Point(373, 23);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(53, 12);
            this.label15.TabIndex = 60;
            this.label15.Text = "设备命令";
            // 
            // cbBlockDeviceOrder
            // 
            this.cbBlockDeviceOrder.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbBlockDeviceOrder.FormattingEnabled = true;
            this.cbBlockDeviceOrder.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbBlockDeviceOrder.Location = new System.Drawing.Point(429, 18);
            this.cbBlockDeviceOrder.Name = "cbBlockDeviceOrder";
            this.cbBlockDeviceOrder.Size = new System.Drawing.Size(113, 20);
            this.cbBlockDeviceOrder.TabIndex = 59;
            // 
            // label16
            // 
            this.label16.AutoSize = true;
            this.label16.Location = new System.Drawing.Point(167, 21);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(77, 12);
            this.label16.TabIndex = 58;
            this.label16.Text = "阻挡设备名称";
            // 
            // cbBlockDevice
            // 
            this.cbBlockDevice.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbBlockDevice.FormattingEnabled = true;
            this.cbBlockDevice.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbBlockDevice.Location = new System.Drawing.Point(244, 18);
            this.cbBlockDevice.Name = "cbBlockDevice";
            this.cbBlockDevice.Size = new System.Drawing.Size(126, 20);
            this.cbBlockDevice.TabIndex = 57;
            this.cbBlockDevice.SelectedIndexChanged += new System.EventHandler(this.cbBlockDevice_SelectedIndexChanged);
            // 
            // tbDetailIndex4
            // 
            this.tbDetailIndex4.Location = new System.Drawing.Point(110, 15);
            this.tbDetailIndex4.Name = "tbDetailIndex4";
            this.tbDetailIndex4.Size = new System.Drawing.Size(51, 21);
            this.tbDetailIndex4.TabIndex = 56;
            this.tbDetailIndex4.TextChanged += new System.EventHandler(this.tbDetailIndex4_TextChanged);
            // 
            // label17
            // 
            this.label17.AutoSize = true;
            this.label17.Location = new System.Drawing.Point(3, 21);
            this.label17.Name = "label17";
            this.label17.Size = new System.Drawing.Size(101, 12);
            this.label17.TabIndex = 55;
            this.label17.Text = "详细路径记录索引";
            // 
            // tabPage7
            // 
            this.tabPage7.Controls.Add(this.button34);
            this.tabPage7.Controls.Add(this.button35);
            this.tabPage7.Controls.Add(this.button36);
            this.tabPage7.Controls.Add(this.button37);
            this.tabPage7.Controls.Add(this.listBox6);
            this.tabPage7.Controls.Add(this.button38);
            this.tabPage7.Controls.Add(this.button39);
            this.tabPage7.Controls.Add(this.label18);
            this.tabPage7.Controls.Add(this.cbAheadTriggerOrder);
            this.tabPage7.Controls.Add(this.label19);
            this.tabPage7.Controls.Add(this.cbAheadTrigger);
            this.tabPage7.Controls.Add(this.tbDetailIndex5);
            this.tabPage7.Controls.Add(this.label20);
            this.tabPage7.Location = new System.Drawing.Point(4, 21);
            this.tabPage7.Name = "tabPage7";
            this.tabPage7.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage7.Size = new System.Drawing.Size(981, 289);
            this.tabPage7.TabIndex = 7;
            this.tabPage7.Text = "提前触发设备和命令维护";
            this.tabPage7.UseVisualStyleBackColor = true;
            // 
            // button34
            // 
            this.button34.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button34.Location = new System.Drawing.Point(610, 137);
            this.button34.Name = "button34";
            this.button34.Size = new System.Drawing.Size(42, 23);
            this.button34.TabIndex = 81;
            this.button34.Text = "↓";
            this.button34.UseVisualStyleBackColor = true;
            this.button34.Click += new System.EventHandler(this.button34_Click);
            // 
            // button35
            // 
            this.button35.Font = new System.Drawing.Font("黑体", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(134)));
            this.button35.Location = new System.Drawing.Point(610, 108);
            this.button35.Name = "button35";
            this.button35.Size = new System.Drawing.Size(42, 23);
            this.button35.TabIndex = 80;
            this.button35.Text = "↑";
            this.button35.UseVisualStyleBackColor = true;
            this.button35.Click += new System.EventHandler(this.button35_Click);
            // 
            // button36
            // 
            this.button36.Location = new System.Drawing.Point(686, 178);
            this.button36.Name = "button36";
            this.button36.Size = new System.Drawing.Size(54, 21);
            this.button36.TabIndex = 79;
            this.button36.Text = "保存";
            this.button36.UseVisualStyleBackColor = true;
            this.button36.Click += new System.EventHandler(this.button36_Click);
            // 
            // button37
            // 
            this.button37.Location = new System.Drawing.Point(241, 178);
            this.button37.Name = "button37";
            this.button37.Size = new System.Drawing.Size(54, 21);
            this.button37.TabIndex = 78;
            this.button37.Text = "清空";
            this.button37.UseVisualStyleBackColor = true;
            this.button37.Click += new System.EventHandler(this.button37_Click);
            // 
            // listBox6
            // 
            this.listBox6.FormattingEnabled = true;
            this.listBox6.ItemHeight = 12;
            this.listBox6.Location = new System.Drawing.Point(658, 36);
            this.listBox6.Name = "listBox6";
            this.listBox6.Size = new System.Drawing.Size(210, 124);
            this.listBox6.TabIndex = 77;
            // 
            // button38
            // 
            this.button38.Location = new System.Drawing.Point(610, 71);
            this.button38.Name = "button38";
            this.button38.Size = new System.Drawing.Size(42, 23);
            this.button38.TabIndex = 76;
            this.button38.Text = "删除";
            this.button38.UseVisualStyleBackColor = true;
            this.button38.Click += new System.EventHandler(this.button38_Click);
            // 
            // button39
            // 
            this.button39.Location = new System.Drawing.Point(610, 42);
            this.button39.Name = "button39";
            this.button39.Size = new System.Drawing.Size(42, 23);
            this.button39.TabIndex = 75;
            this.button39.Text = "增加";
            this.button39.UseVisualStyleBackColor = true;
            this.button39.Click += new System.EventHandler(this.button39_Click);
            // 
            // label18
            // 
            this.label18.AutoSize = true;
            this.label18.Location = new System.Drawing.Point(435, 47);
            this.label18.Name = "label18";
            this.label18.Size = new System.Drawing.Size(53, 12);
            this.label18.TabIndex = 74;
            this.label18.Text = "设备命令";
            // 
            // cbAheadTriggerOrder
            // 
            this.cbAheadTriggerOrder.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbAheadTriggerOrder.FormattingEnabled = true;
            this.cbAheadTriggerOrder.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbAheadTriggerOrder.Location = new System.Drawing.Point(491, 42);
            this.cbAheadTriggerOrder.Name = "cbAheadTriggerOrder";
            this.cbAheadTriggerOrder.Size = new System.Drawing.Size(113, 20);
            this.cbAheadTriggerOrder.TabIndex = 73;
            // 
            // label19
            // 
            this.label19.AutoSize = true;
            this.label19.Location = new System.Drawing.Point(182, 47);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(101, 12);
            this.label19.TabIndex = 72;
            this.label19.Text = "提前触发设备名称";
            // 
            // cbAheadTrigger
            // 
            this.cbAheadTrigger.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.cbAheadTrigger.FormattingEnabled = true;
            this.cbAheadTrigger.Items.AddRange(new object[] {
            "入库",
            "出库"});
            this.cbAheadTrigger.Location = new System.Drawing.Point(283, 42);
            this.cbAheadTrigger.Name = "cbAheadTrigger";
            this.cbAheadTrigger.Size = new System.Drawing.Size(149, 20);
            this.cbAheadTrigger.TabIndex = 71;
            this.cbAheadTrigger.SelectedIndexChanged += new System.EventHandler(this.cbAheadTrigger_SelectedIndexChanged);
            // 
            // tbDetailIndex5
            // 
            this.tbDetailIndex5.Location = new System.Drawing.Point(125, 38);
            this.tbDetailIndex5.Name = "tbDetailIndex5";
            this.tbDetailIndex5.Size = new System.Drawing.Size(51, 21);
            this.tbDetailIndex5.TabIndex = 70;
            this.tbDetailIndex5.TextChanged += new System.EventHandler(this.tbDetailIndex5_TextChanged);
            // 
            // label20
            // 
            this.label20.AutoSize = true;
            this.label20.Location = new System.Drawing.Point(18, 44);
            this.label20.Name = "label20";
            this.label20.Size = new System.Drawing.Size(101, 12);
            this.label20.TabIndex = 69;
            this.label20.Text = "详细路径记录索引";
            // 
            // toolStripMenuItem10
            // 
            this.toolStripMenuItem10.Name = "toolStripMenuItem10";
            this.toolStripMenuItem10.Size = new System.Drawing.Size(202, 22);
            this.toolStripMenuItem10.Text = "修提前触发设备和命令";
            this.toolStripMenuItem10.Click += new System.EventHandler(this.toolStripMenuItem10_Click);
            // 
            // FrmRouteDetailEdit
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(1013, 720);
            this.Controls.Add(this.tabControl1);
            this.Controls.Add(this.dataGridView1);
            this.Name = "FrmRouteDetailEdit";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
            this.Text = "搬运路径详细步骤维护";
            this.WindowState = System.Windows.Forms.FormWindowState.Maximized;
            this.Load += new System.EventHandler(this.FrmRouteDetailEdit_Load);
            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).EndInit();
            this.contextMenuStrip1.ResumeLayout(false);
            this.tabPage5.ResumeLayout(false);
            this.tabPage5.PerformLayout();
            this.tabPage4.ResumeLayout(false);
            this.tabPage4.PerformLayout();
            this.tabPage2.ResumeLayout(false);
            this.tabPage2.PerformLayout();
            this.tabPage6.ResumeLayout(false);
            this.tabPage6.PerformLayout();
            this.tabPage1.ResumeLayout(false);
            this.tabPage1.PerformLayout();
            this.tabControl1.ResumeLayout(false);
            this.tabPage3.ResumeLayout(false);
            this.tabPage3.PerformLayout();
            this.tabPage7.ResumeLayout(false);
            this.tabPage7.PerformLayout();
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.DataGridView dataGridView1;
        private System.Windows.Forms.TabPage tabPage5;
        private System.Windows.Forms.TabPage tabPage4;
        private System.Windows.Forms.TabPage tabPage2;
        private System.Windows.Forms.TabPage tabPage6;
        private System.Windows.Forms.TabPage tabPage1;
        private System.Windows.Forms.CheckBox chbWaitPallet;
        private System.Windows.Forms.CheckBox chbEndNode;
        private System.Windows.Forms.Button button3;
        private System.Windows.Forms.Button button2;
        private System.Windows.Forms.ListBox listBox1;
        private System.Windows.Forms.Label label6;
        private System.Windows.Forms.ComboBox cbOrders;
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.ComboBox cbDeviceIndex;
        private System.Windows.Forms.TextBox tbRouteKind;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.ComboBox cbRouteKindIndex;
        private System.Windows.Forms.Button button1;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.TextBox tbRouteDetailIndex;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.TextBox tbDetailIndex;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.TabControl tabControl1;
        private System.Windows.Forms.Button button4;
        private System.Windows.Forms.Button btSave;
        private System.Windows.Forms.Button btNull;
        private System.Windows.Forms.Button button5;
        private System.Windows.Forms.ContextMenuStrip contextMenuStrip1;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem1;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator1;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem2;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem3;
        private System.Windows.Forms.ToolStripSeparator toolStripSeparator3;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem4;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem5;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem6;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem7;
        private System.Windows.Forms.Button button9;
        private System.Windows.Forms.Button button10;
        private System.Windows.Forms.ListBox listBox2;
        private System.Windows.Forms.Button button6;
        private System.Windows.Forms.Button button7;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.Label label8;
        private System.Windows.Forms.TextBox tbDetailIndex2;
        private System.Windows.Forms.Label label9;
        private System.Windows.Forms.Button button12;
        private System.Windows.Forms.Button button13;
        private System.Windows.Forms.ListBox listBox3;
        private System.Windows.Forms.Button button14;
        private System.Windows.Forms.Button button15;
        private System.Windows.Forms.Label label10;
        private System.Windows.Forms.ComboBox cbAheadDetect;
        private System.Windows.Forms.TextBox tbDetailIndex1;
        private System.Windows.Forms.Label label11;
        private System.Windows.Forms.RadioButton rbtw2;
        private System.Windows.Forms.RadioButton rbtw1;
        private System.Windows.Forms.ListBox listBox4;
        private System.Windows.Forms.Button button19;
        private System.Windows.Forms.Button button20;
        private System.Windows.Forms.Button button17;
        private System.Windows.Forms.Button button18;
        private System.Windows.Forms.Label label12;
        private System.Windows.Forms.ComboBox cbLockedDeviceIndex;
        private System.Windows.Forms.TextBox tbDetailIndex3;
        private System.Windows.Forms.Label label13;
        private System.Windows.Forms.TextBox tbContent;
        private System.Windows.Forms.Button btNullQuery;
        private System.Windows.Forms.Button btQuery;
        private System.Windows.Forms.Label label14;
        private System.Windows.Forms.ComboBox cbField;
        private System.Windows.Forms.Button button21;
        private System.Windows.Forms.Button button22;
        private System.Windows.Forms.Button button27;
        private System.Windows.Forms.Button button28;
        private System.Windows.Forms.Button button25;
        private System.Windows.Forms.Button button26;
        private System.Windows.Forms.Button button23;
        private System.Windows.Forms.Button button24;
        private System.Windows.Forms.ComboBox cbAssociateDeviceOrder;
        private System.Windows.Forms.ComboBox cbAssociateDeviceIndex;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem8;
        private System.Windows.Forms.Button button29;
        private System.Windows.Forms.Button button8;
        private System.Windows.Forms.TabPage tabPage3;
        private System.Windows.Forms.Button button11;
        private System.Windows.Forms.Button button16;
        private System.Windows.Forms.Button button30;
        private System.Windows.Forms.Button button31;
        private System.Windows.Forms.ListBox listBox5;
        private System.Windows.Forms.Button button32;
        private System.Windows.Forms.Button button33;
        private System.Windows.Forms.Label label15;
        private System.Windows.Forms.ComboBox cbBlockDeviceOrder;
        private System.Windows.Forms.Label label16;
        private System.Windows.Forms.ComboBox cbBlockDevice;
        private System.Windows.Forms.TextBox tbDetailIndex4;
        private System.Windows.Forms.Label label17;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem9;
        private System.Windows.Forms.TabPage tabPage7;
        private System.Windows.Forms.Button button34;
        private System.Windows.Forms.Button button35;
        private System.Windows.Forms.Button button36;
        private System.Windows.Forms.Button button37;
        private System.Windows.Forms.ListBox listBox6;
        private System.Windows.Forms.Button button38;
        private System.Windows.Forms.Button button39;
        private System.Windows.Forms.Label label18;
        private System.Windows.Forms.ComboBox cbAheadTriggerOrder;
        private System.Windows.Forms.Label label19;
        private System.Windows.Forms.ComboBox cbAheadTrigger;
        private System.Windows.Forms.TextBox tbDetailIndex5;
        private System.Windows.Forms.Label label20;
        private System.Windows.Forms.ToolStripMenuItem toolStripMenuItem10;


    }
}